httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yehuda Katz <yeh...@ymkatz.net>
Subject Re: [users@httpd] 2.4 Configuration Errors
Date Thu, 15 Jan 2015 22:24:55 GMT
The allow and deny directives have been removed in 2.4.
See the upgrade documentation:
http://httpd.apache.org/docs/2.4/upgrading.html

- Y

Sent from a gizmo with a very small keyboard and hyperactive autocorrect.
On Jan 15, 2015 5:20 PM, "Chris Arnold" <carnold@electrichendrix.com> wrote:

>
> apache 2.4.10 on SLES 12. We are moving from apache 2.2.x on SLES 11 SP3
> and when i migrate our current http settings into 2.4.10 and rcapache2, i
> get this error:
>
>
> Jan 15 17:03:53 webtest start_apache2[6019]: AH00526: Syntax error on line
> 36 of /opt/alfresco/tomcat/conf/jk.conf:
> Jan 15 17:03:53 webtest start_apache2[6019]: Invalid command 'deny',
> perhaps misspelled or defined by a module not included in the server
> configuration
> Jan 15 17:03:53 webtest start_apache2[6037]: AH00526: Syntax error on line
> 36 of /opt/alfresco/tomcat/conf/jk.conf:
> Jan 15 17:03:53 webtest start_apache2[6037]: Invalid command 'deny',
> perhaps misspelled or defined by a module not included in the server
> configuration
>
>
> Here is jk.conf:
>
>
> <IfModule mod_jk.c>
>
>     JkWorkersFile /opt/alfresco/tomcat/workers.properties
>     JkLogFile /var/log/alfresco/mod_jk.log
>     JkShmFile /var/log/alfresco/shm
>
>     # Log level to be used by mod_jk
>     JkLogLevel error
>
>
> <Location "/share/WEB-INF/">
>     #AllowOverride None
>     deny from all
>     </Location>
>
>
> In fact, anytime i move a virtual host file to the SLES12 server and
> restart apache, i get an error about either order or deny. My guess is
> order and deny is no longer working in 2.4.10
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
>
>

Mime
View raw message